Release Information

Introduction

Getting Started

Delphix Engine System Administration

Virtual Database Management with the Delphix Engine

Data Backup and Recovery

Delphix Modernization Engine

Delphix Masking

Virtualizing Unstructured Files in the Delphix Engine

Virtualizing Oracle E-Business Suite in the Delphix Engine

JetStream

Mission Control

Delphix Express User Guide

Reference


Documentation for Previous Versions of the Delphix Engine

Delphix Server 3.0 Documentation
Delphix Server 3.1 Documentation
Delphix Engine 3.2 Documentation
Delphix Engine 4.0 Documentation
Delphix Engine 4.1 Documentation
Delphix Engine 4.2 Documentation
Delphix Engine 4.3 Documentation

Skip to end of metadata
Go to start of metadata

Welcome to the 5.0 release of the Delphix Engine database virtualization system.      

5.0 Upgrade Matrix

Upgrades to Delphix Engine 5.0 are supported from 4.2.0.0 and above. 

 5.0.0.05.0.0.15.0.0.25.0.1.05.0.1.15.0.2.05.0.2.15.0.2.25.0.2.35.0.3.05.0.3.15.0.4.05.0.4.15.0.5.05.0.5.15.0.5.25.0.5.35.0.5.4
4.1 and prior                  
4.2 - 4.3                  
5.0.0.0                  
5.0.0.1                  
5.0.0.2                  
5.0.1.0                  
5.0.1.1                  
5.0.2.0                  
5.0.2.1                  
5.0.2.2                  
5.0.2.3                  
5.0.3.0                  
5.0.3.1                  
5.0.4.0                  
5.0.4.1                  
5.0.5.0                  
5.0.5.1                  
5.0.5.2                  
5.0.5.3                  

Key:

ColorSupported? VDB Downtime Required? 1
 NoN/A
 YesRequired
 YesNot Required
 YesOptional 2
  1. VDB Downtime is caused by a reboot of the Delphix Engine when DelphixOS is modified by an upgrade.
  2. VDB Downtime may be optional for an upgrade when a release contains DelphixOS changes that are also optional. In such a scenario, the DelphixOS changes may be deferred (see documentation on Deferred OS Upgrade).

 

Tested Browser Configuration Matrix

OS SupportedBrowsers SupportedAdobe Flash/FlexMinimum Memory
Windows XP Professional SP3Firefox, Chrome10.x4GB
Windows Vista SP2Internet Explorer 9.x10.x4GB
Windows 7Internet Explorer 9.x, 10.x, 11.x10.x4GB
Windows 7Firefox, Chrome10.x4GB
Windows 7 x64Internet Explorer 9.x, 10.x, 11.x10.x4GB
Windows 7 x64Firefox, Chrome10.x4GB
Mac OS XFirefox, Chrome9.0.3 (6531.9)4GB

 

 

 

Supported Oracle DBMS Versions and Operating Systems for Source and Target Environments

Source and Target OS and DBMS Compatibility

The source and target must be running the same DBMS/Operating System combination (for example, Oracle 10.2.0.4 on RHEL 5.2) in order to successfully provision a VDB to the target. If the DBMS versions are compatible, the OS version on a target host can be different from the OS version on the source host.

Supported DBMS Versions

  • Oracle 9.2.0.8
  • Oracle 10.2
  • Oracle 11.1
  • Oracle 11.2
  • Oracle 12.1

Oracle 9.2.0.8

The Delphix Engine has limited support for Oracle 9.2.0.8 and cannot link to a database that has a compatibility setting lower than 9.2.0.8.

Delphix features supported with Oracle 9.2.0.8:

 dSourceVDB

SnapSync

YesNo

LogSync

NoNo

Rewind

Not ApplicableNo
V2P (virtual to physical)YesNo
RACNoNo
Standby DatabaseNoNo

 

 

 

Oracle 10.2.0.4

The Delphix Engine does not support Oracle 10.2.0.4 databases using Automatic Storage Management (ASM) that do not have the patch set for Oracle Bug 7207932. This bug is fixed in patch set 10.2.0.4.2 onward. 

 

Supported Operating Systems

Operating SystemVersionProcessor Family
Solaris9, 10U5 - 10U11, 11U1, 11U2

SPARC

Solaris10U5 - 10U11, 11U1, 11U2x86_64
Red Hat Enterprise Linux

4.7, 4.8, 4.9
5.3 - 5.11
6.0 - 6.6

x86_64
Oracle Enterprise Linux5.3 -  5.11
6.0 - 6.6
x86_64
Novell SUSE Linux Enterprise Server10, 10SP1, 10SP2, 10SP3
11, 11SP1, 11SP2, 11SP3
x86_64
AIX5.3, 6.1, 7.1Power
HP-UX

11i v2 (11.23)

11i v3 (11.31)

IA64

Delphix supports all 64-bit OS environments for source and target, though 64-bit Linux environments also require that a 32-bit version of glibc installed

Required HP-UX patch for Target Servers

  PHNE_37851 - resolves a known bug in HP-UX NFS client prior to HP-UX 11.31.

Supported SQL Server Versions, Operating Systems, and Backup Software

Supported Versions of Windows OS

  • Windows Server 2003 SP2, 2003 R2

  • Windows Server 2008
  • Windows Server 2008 R2
  • Windows Server 2012, 2012 R2

Delphix supports only 64-bit versions of Windows on target hosts and validated-sync-target hosts.

Target hosts and validated-sync-target hosts running Windows Server 2003 SP2 or 2003 R2 must install the hotfix documented in KB 943043.

For Windows 2008 R2

 

Updates NTFS.sys and uNTFS.dll

 

 

KB Article Number(s): 967351

 

Language: All (Global)

 

Platform: x64

 

Location: (http://hotfixv4.microsoft.com/Windows%207/Windows%20Server2008%20R2%20SP1/sp2/Fix385766/7600/free/441351_intl_x64_zip.exe)

 

 

Updates MSISCI.sys

 

 

KB Article Number(s): 2277122

 

Language: All (Global)

 

Platform: x64

 

Location: (http://hotfixv4.microsoft.com/Windows%207/Windows%20Server2008%20R2%20SP1/sp2/Fix388733/7600/free/440675_intl_x64_zip.exe)

 For Windows 2008 SP2

 https://support.microsoft.com/en-us/kb/948275/

  Ntfs.sys and untfs.dll for windows server 2008 SP2

 In order to install NTFS.sys first go to c:\windows\system32\drivers, right click on ntfs.sys à go to properties and check the tab details àIn the details Tab check the file Version if the file version is less than “6.0.6002.22811” the one mentioned here

 In order to install uNTFS.dll first go to c:\windows\system32, right click on untfs.dll à go to properties and check the tab details à In the details Tab check the file Version if the file version is less than “6.0.6002.22811” the one mentioned here

Run the below mentioned commands.

 Package: NTFS.sys and uNTFS.dll

-----------------------------------------------------------

-----------------------------------------------------------

KB Article Number(s): 967351

Language: All (Global)

Platform: x64

Location: (http://hotfixv4.microsoft.com/Windows%20Vista/sp3/Fix385798/6000/free/441782_intl_x64_zip.exe)

 

Ø  Download the file mentioned in the above link

Ø  Save the file in a folder named ‘TEST’ under C drive.

Ø  Extract the zipped file.

Ø  Run the below mentioned command.

 

Expand -f:* c:\TEST\(write the complete details of the file with extension .msu).msu c:\TEST

Expand -f:* c:\TEST\(write the complete details of the file with extension .cab).cab c:\TEST

pkgmgr /ip /m:c:\Test\update-bf.mum

There are further restrictions on supported Windows and SQL Server versions for SQL Server Failover Cluster target environments. See Adding a SQL Server Failover Cluster Target Environment for details.

Supported Versions of SQL Server

SQL Server Version

Delphix Version

SQL Server 2005 (9.0)Delphix 3.x
SQL Server 2008 (10.0)Delphix 3.x
SQL Server 2008 R2 (10.5)Delphix 3.x
SQL Server 2012 (11.0)Delphix 3.1.2 and beyond
SQL Server 2014 (12.0)Delphix 4.1.3 and beyond

Delphix supports SQL Server AlwaysOn Availability Groups as a dSource but creation of a VDB on AlwaysOn Availability Groups is not supported. Delphix supports Windows Server Failover Cluster (WSFC) as a dSource and also as a target (VDB).

Supported SQL Server Backup Software

The Delphix Engine interacts with source database backups in the following ways:

  • When linking a new source database, the Delphix Engine can use an existing full backup to load the source database data
  • When performing a sync of an existing dSource, the Delphix Engine can use an existing full backup
  • After the dSource is created, the Delphix Engine picks up any new backups that are taken on the source database and applies them to the copy of the source database on the Delphix Engine. This includes:
    • Transaction log backups for databases in Full or Bulk-Logged recovery models
    • Differential and full backups for databases in Simple recovery model

Delphix currently supports the following backup software for source database backups:

  • SQL Server native backups
  • Quest/NetVault LiteSpeed
    • If the source database is backed up with LiteSpeed, the source and the staging environments must have LiteSpeed installed on them. The version of LiteSpeed on the staging environment must be the same or higher than that on the source. Delphix currently supports LiteSpeed v5.0.0.0 to v8.x.
  • Red Gate SQL Backup Pro
    • If the source database is backed up with SQL Backup Pro, the source and the staging environments must have SQL Backup Pro installed on them. The version of SQL Backup Pro on the staging environment must be the same as that on the source. Delphix currently supports SQL Backup Pro v7.3 and onwards.

In versions 4.3.3.0 and newer Delphix supports encrypted backups; if you are running an older version of the Delphix Engine (v 4.3.2.x - 3.0) encrypted backups are not supported.


Supported PostgreSQL Versions and Operating Systems

This topic describes supported operating systems and database versions for PostgreSQL.

Supported DBMS Versions

DBMSVersionProcessor Family
PostgreSQL9.2, 9.3, 9.4, 9.5x86_64
EnterpriseDB Postgres Plus Advanced Server9.2, 9.3, 9.4, 9.5x86_64

Supported Operating Systems

Operating SystemVersionProcessor Family
Red Hat Enterprise Linux 5RHEL 5.3, 5.4, 5.5, 5.6, 5.7, 5.8, 5.9, 5.10,5.11x86_64
Red Hat Enterprise Linux 6RHEL 6.0, 6.1, 6.2, 6.3, 6.4, 6.5, 6.6x86_64
 

 

Supported SAP ASE Versions and Operating Systems

This topic describes supported operating systems and database versions for SAP ASE.

 

Source and Target OS and DBMS Compatibility

The source and target must be running the same DBMS/Operating System combination, (although users can run different different patch/sp levels) in order to successfully provision a VDB to the target. For example, if the source is running SAP ASE 16, the target can be running ASE 16SP1. The Operating System platform must be the same between the source and target, even when the operating system version may differ. For example, if the source is running Red Hat Enterprise Linux 6.2 x86_64 then the target could be running Red Hat Enterprise Linux 6.4 x86_64, but not Solaris 10 SPARC.

 

DBMS Versions

Operating System Versions / Processor Family

Veritas Cluster Server

SAP Adaptive Server Enterprise (ASE) 12.5

Red Hat Enterprise Linux 5.x / x86_64

Solaris 10 / x86_64, SPARC

 

SAP Adaptive Server Enterprise (ASE) 15.03

Red Hat Enterprise Linux 6.2, 6.3, 6.4 / x86_64

SuSE Linux Enterprise Server 11.x

Solaris 10 / x86_64, SPARC

AIX 5.3 / POWER

 

SAP Adaptive Server Enterprise (ASE) 15.5

Red Hat Enterprise Linux 6.2, 6.3, 6.4 / x86_64

Solaris 10 / x86_64, SPARC

AIX 5.3 / POWER

 

SAP Adaptive Server Enterprise (ASE) 15.7

Red Hat Enterprise Linux 5.x / x86_64

Red Hat Enterprise Linux 6.2, 6.3, 6.4 / x86_64

Solaris 10 / x86_64, SPARC

AIX 6.1, 7.1 / POWER

VCS 5.1 on RHEL 5 & 6

SAP Adaptive Server Enterprise (ASE) 16

Red Hat Enterprise Linux 6.2, 6.3, 6.4 / x86_64

Solaris 10 / x86_64, SPARC

 

 

Supported MySQL Versions and Operating Systems

This topic describes supported operating systems and database versions for MySQL.

 

Supported DBMS Versions

DBMS VersionsOperating System VersionsProcessor Family
MySQL Community Edition GA 5.5, 5.6RHEL 6.2, 6.3, 6.4x86_64
MySQL Community Edition >=5.7.7RHEL 6.2, 6.3, 6.4x86_64
MySQL Enterprise Edition GA 5.6Solaris 11, RHEL 6.2, 6.3, 6.4, 6.7x86_64

MariaDB Server 10.0 GA Series (>=10.0.10)

RHEL 6.2, 6.3, 6.4x86_64
MariaDB Enterprise 10.0 GA Series (>=10.0.10)RHEL 6.2, 6.3, 6.4x86_64

Supported MySQL Storage Engine

Storgage Engine
InnoDB

 

 

Supported DB2 Versions and Operating Systems

Supported DBMS Versions

  • DB2 Enterprise Server Edition 10.1
  • DB2 Advanced Enterprise Server Edition 10.1
  • DB2 Enterprise Server Edition 10.5
  • DB2 Advanced Enterprise Server Edition 10.5

Supported Operating Systems

Operating SystemVersionProcessor Family
Red Hat Enterprise Linux

6.4, 6.5, 6.6

x86_64
AIX6.1, 7.1Power

Licenses and Notices

  • Highstock software products is owned and licensed through Highsoft AS.

2 Comments

  1. Anonymous

    The SQL Server supported versions matrix is misleading. It looks like SQL2005 to 2008 would be only supported in Delphix 3.x but not any longer.

  2. Anonymous

    Any reason why the latest Red Hat Linux 7.2 was not supported in Release 5?